import { IFinderOptions } from '@files-stack/client-state';
import { ISearchOptions } from '@finder-stack/core';
export declare namespace ITreeNodeContent {
    interface OwnProps {
        listIndex: number;
        node: any;
        path: any[];
        scaffoldBlockPxWidth: number;
        lowerSiblingCounts: number[];
        style?: any;
        toggleChildrenVisibility?: Function;
        removeNode?: Function;
        treeIndex: number;
        treeId: string;
        parentNode?: any;
    }
    interface StateProps {
        expand?: boolean;
        selected?: boolean;
        searchOptions?: ISearchOptions;
    }
    interface DispatchProps {
        selectNode?: (id: string) => any;
        openFile?: (resource: string, name: string) => any;
        setFinderOptions: (options: IFinderOptions) => any;
    }
    type Props = OwnProps & StateProps & DispatchProps;
}
declare const _default: any;
export default _default;
