import * as React from 'react';
import { ISearchOptions } from '@finder-stack/core';
export declare namespace IFinderWidgetComponent {
    type ApiProps = {
        replaceMutate?: any;
        client?: any;
    };
    type OwnProps = {
        onSubmitSearchString(): void;
    };
    type StateProps = {
        searchOptions?: ISearchOptions;
        rootPath: string;
    };
    type DispatchProps = {
        setError?: (error: string, type: string) => any;
        setSearchOptions?: (options: ISearchOptions) => any;
    };
    interface OwnState {
        searchInput: string;
        replaceInput: string;
    }
    type Props = OwnProps & StateProps & DispatchProps & ApiProps;
}
export declare class FinderWidgetComponent extends React.Component<IFinderWidgetComponent.Props, IFinderWidgetComponent.OwnState> {
    private constructor();
    private keyDown;
    private setExpand;
    private changeSearch;
    private changeReplace;
    private handleReplase;
    render(): JSX.Element;
}
