import * as React from 'react';
export declare namespace IFinderWrapperComponent {
    type ApiProps = {
        configuration?: any;
        subscribeToMore?: any;
    };
    type OwnProps = {};
    type StateProps = {
        searchOptions: any;
    };
    type DispatchProps = {
        setError?: (error: string, type: string) => any;
        setSearchOptions?: (options: any) => any;
    };
    type Props = StateProps & DispatchProps & ApiProps & OwnProps;
    type State = {
        topBarProgressIndicatorVisible: boolean;
    };
}
export declare class FinderWrapperComponent extends React.Component<IFinderWrapperComponent.Props, IFinderWrapperComponent.State> {
    private containerRef;
    constructor(props: IFinderWrapperComponent.Props);
    onClick: () => void;
    render(): JSX.Element;
    private showTopPrgoressBar;
    private hideTopBarProgressBar;
}
